qgis server 1.8 does not work with qgis wms client on master

2013-04-25 03:23 PM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: QGIS Server

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 16622

Description

I noticed this on Windows/osgeo4w:

trying add (in qgis master as wms client) a layer using a wms layer created with qgis server 1.8, the layer is added in the toc but is not

visible and in the log I get:

Map request failed [error:Error downloading

http://localhost/cgi-bin/qgis_mapserv.fcgi?map=c:/temp/teste18.qgs&#38;&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUES

=GetMap&#38;BBOX=-23998.1550490432018705,-145303.2600138939451426,48776.5100903988350183,-71056.7674680688360240&#38;CRS=EPSG:3763&#38;WIDTH=376&#38;HEIGHT=384&#38;LAYERS=grid_hex_2000&#38;STYLES=&#38;FORMAT=image/jpeg&#38;DPI

40&#38;CRS=EPSG:3763&#38;WIDTH=376&#38;HEIGHT=384&#38;LAYERS=grid_hex_2000&#38;STYLES=&#38;FORMAT=image/jpeg&#38;DPI=96&#38;MAP_RESOLUTION=96&#38;FORMAT_OPTIONS=dpi:96

/jpeg&#38;DPI=96&#38;MAP_RESOLUTION=96&#38;FORMAT_OPTIONS=dpi:96

- server replied: Internal Server Error

url:http://localhost/cgi-bin/qgis_mapserv.fcgi?map=c:/temp/teste18.qgs&&SERVICE=WMS&VERSION=1.3.0&REQUEST=GetMap&BB

X=-23998.1550490432018705,-145303.2600138939451426,48776.5100903988350183,-71056.7674680688360240&CRS=EPSG:3763&WIDTH=376&HEIGHT=384&LAYERS=grid_hex_2000&STYLES=&FORMAT=image/jpeg&DPI=96&MAP_RESOLUTION=96&FORMAT_OPTIONS=dpi:9

3&WIDTH=376&HEIGHT=384&LAYERS=grid_hex_2000&STYLES=&FORMAT=image/jpeg&DPI=96&MAP_RESOLUTION=96&FORMAT_OPTIONS=dpi:96]

AT_OPTIONS=dpi:96]

the same does not happen using qgis 1.8 as wms client.

History

#1 - 2013-05-16 08:18 AM - Radim Blazek

- Priority changed from Severe/Regression to Normal

- Target version deleted (Version 2.0.0)

- Category changed from Web Services clients/WMS to QGIS Server

QGIS master wms client + QGIS 1.8 wms server works for me. I dont see anything wrong in the request.

In any case, server error (especially Internal Server Error) is server error, not client error.

#2 - 2013-05-16 09:37 AM - Giovanni Manghi

- Subject changed from wms client on master does not work with qgis server 1.8 to qgis server 1.8 does not work with qgis wms client on master

- Assignee set to Marco Hugentobler

Radim Blazek wrote:

QGIS master wms client + QGIS 1.8 wms server works for me. I dont see anything wrong in the request.
In any case, server error (especially Internal Server Error) is server error, not client error.

If this is a QGIS server 1.8 issue then I guess that this can be closed.

Problem is that on Windows I can't test QGIS server 1.9 as per #7712

#3 - 2013-05-29 10:07 AM - Radim Blazek

- Resolution set to wontfix

- Status changed from Open to Closed

This is 1.8 mapserver problem so I am going to close it.
